Subject: Re: [Int-area] [BEHAVE] CGN REQ: Support a means to reveal a USER_HINT

From: Tina Tsou <[email-masked]>
Date: Tue, 15 Mar 2011 11:29:11 -0700

A related I-D:
https://datatracker.ietf.org/doc/draft-chen-intarea-v4-uid-header-option/

IPv4 Header Option for User Identification in CGN Scenario

My co-authors are currently doing tests on
draft-chen-intarea-v4-uid-header-option.

After the test, we may have more input.

We keep our promises with one another - no matter what!

Best Regards,
Tina TSOU
http://tinatsou.weebly.com/contact.html

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Dan Wing
Sent: Tuesday, March 15, 2011 11:00 AM
To: 'Reinaldo Penno'; 'Simon Perreault';
[email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [BEHAVE] CGN REQ: Support a means to reveal a USER_HINT

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Reinaldo Penno
> Sent: Tuesday, March 15, 2011 8:46 AM
> To: Simon Perreault; [email-masked]
> Cc: 'behave' <([email-masked])>; draft-ietf-behave-lsn-
> [email-masked]
> Subject: Re: [BEHAVE] CGN REQ: Support a means to reveal a USER_HINT
> 
> I believe we need much more discussion on this requirement before it
> makes
> to the I-D. There are security issues, subscriber privacy issues,
> performance issues, amongst others. Not to mention that there are some
> 6 different techniques.

I agree with all your points except 'subscriber privacy issues'.

Subscribers, today, generally have publicly-routable IPv4 addresses.  
Those subscribers disclose their IP address every time they connect
to a website -- it's in the source IP address field of the IP header.
All of the techniques preserve that same information, in the face
of a CGN.

-d

> 
> 
> On 3/15/11 7:27 AM, "Simon Perreault" <[email-masked]>
> wrote:
> 
> > On 2011-03-15 09:49, [email-masked] wrote:
> >> As you know, several issues are encountered when CGNs are used (see
> >> http://tools.ietf.org/html/draft-ietf-intarea-shared-addressing-
> issues-05 for
> >> more details).
> >>
> >> In order to mitigate some of the issues listed in the above I-D, the
> CGN
> >> may inject an information which will be used by remote servers to
> >> disambiguate users. FWIW,
> >> http://tools.ietf.org/html/draft-boucadair-intarea-nat-reveal-
> analysis-01
> >> analyzes
> >> a set of candidates solutions and identifies some limitations.
> >>
> >> IMHO, it is valuable to add a requirement in the I-D among these
> lines.
> >
> > I'll definitely need WG feedback on this.
> >
> > Thanks,
> > Simon
> 
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave

_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave